package getOptLong;

import getOptLong.Option;

import java.util.LinkedList;

public class Configuration extends LinkedList<Option>{

	@Override
	public boolean add(Option e) {
		StringBuilder sb = new StringBuilder();
		boolean error = false;
		for(Option o : this){
			if(o.shortOption.equals(e.shortOption)){
				error = true;
				sb.append("Adding option\n");
				sb.append(e);
				sb.append("\n::");
//				System.err.println("Short option: "+e.shortOption+" already in use!");
				sb.append("Short option: "+e.shortOption+" already in use by: \n"+ o +"\n\n");
			}
			if(o.longOption.equals(e.longOption)){
				error = true;
				sb.append("Adding option\n");
				sb.append(e);
				sb.append("\n::");
//				System.err.println("Long option: "+e.shortOption+" already in use!");
				sb.append("Long option: "+e.shortOption+" already in use by: \n"+ o +"\n\n");
			}
		}
		if(error){
			System.err.println(sb);
			System.exit(1);
		}
		
		boolean result = super.add(e);
		return result;
	}
	
}
