package tetasarts.generator;

import org.apache.bcel.generic.Instruction;
import org.apache.bcel.generic.Visitor;

public class NativeInstruction extends Instruction {

	private static final long serialVersionUID = 874070883795664710L;

	public NativeInstruction(short opcode) {
		super(opcode, (short)1);
	}

	@Override
	public void accept(Visitor v) {
	}

	@Override
	public String getName() {
		return Constants.NATIVE_OPCODE_NAME.get(opcode);
	}
}
