package tetasarts.tir.basicblocks.basicBlockTypes;

import tetasarts.tir.basicblocks.IBasicBlockVistitor;
import tetasarts.tir.basicblocks.LoopBound;

public class LoopBasicBlock extends BranchingBasicBlock {
	private LoopBound loopBound;

	public LoopBasicBlock(LoopBound loopBound) {
		this.loopBound = loopBound;
	}
	
	public LoopBound getLoopBound() {
		return loopBound;
	}
	
	@Override
	public void accept(IBasicBlockVistitor v) {
		v.visitLoopBasicBlock(this);
	}
	
}
