package tetasarts.tir.graphtest;

import tetasarts.exceptions.IncompatibleMergeException;
import tetasarts.tir.Node;

public class BasicInformation extends Node<IInformationVisitor>{
	String name;
	public BasicInformation(String name) {
		 this.name = name;
		 System.out.println("["+name+"]: I'm created!");
	}
	
	@Override
	public void accept(IInformationVisitor v) {
		v.visitBasicInformation(this);
	}

	@Override
	public Node<? extends IInformationVisitor> merge(
			Node<IInformationVisitor> other) throws IncompatibleMergeException {
		return new BasicInformation(this.toString()+other.toString());
	}
	
	@Override
	public String toString() {
		return name;
	}
}
