package tetasarts.uppaal;

import org.jdom.*;

public class Nail {
	private int posX;
	private int posY;
	
	/**
	 * The position of a nail
	 * @param x The x position
	 * @param y The y position
	 */
	public Nail(int x, int y){
		this.posX = x;
		this.posY = y;
	}

	public int getPosX() {
		return posX;
	}

	public void setPosX(int posX) {
		this.posX = posX;
	}

	public int getPosY() {
		return posY;
	}

	public void setPosY(int posY) {
		this.posY = posY;
	}
	
	/**
	 * Creates an XML Element object corresponding to the Nail object
	 * @return XML Element
	 */
	Element generateXMLElement(){
		Element result = new Element("nail");
		
		result.setAttribute("x", Integer.toString(posX));
		result.setAttribute("y", Integer.toString(posY));
		
		return result;		
	}
}
