package tetasarts.uppaal;

public class Parameter extends Name{
	
	/**
	 * Creates a new parameter element with position 0,0.
	 * @param name The name of the parameter element
	 */
	public Parameter(String name){
		super(name, 0, 0);
	}
	
	/**
	 * Creates a new parameter element
	 * @param name The name of the parameter element	
	 * @param x The x position of the parameter location
	 * @param y The y position of the parameter location
	 */
	public Parameter(String name, int x, int y){
		super(name, x, y);
	}
}
