package tetasarts.uppaal.modelcombiner.optimization.sync;

import uppaal.Transition;

public class DependencyEdge {

	private AutomatonNode origin, dest;
	private Transition initSyncTrans, recSyncTrans;
	
	public DependencyEdge(AutomatonNode origin, AutomatonNode dest, Transition initTransition, Transition recTransition) {
		this.origin = origin;
		this.dest = dest;
		this.initSyncTrans = initTransition;
		this.recSyncTrans = recTransition;
	}
	
	public AutomatonNode getOrigin() {
		return this.origin;
	}
	public AutomatonNode getDestination() {
		return this.dest;
	}
	
	public Transition getInitSyncTransition() {
		return this.initSyncTrans;
	}
	
	public Transition getRecSyncTransition() {
		return this.recSyncTrans;
	}
	
}
