package tetasarts.uppaal.translation.analysis;

import org.apache.bcel.classfile.Method;
import org.apache.bcel.generic.INVOKESTATIC;
import org.apache.bcel.generic.InstructionHandle;

public class CallSite {
	protected Method callSiteMethod;
	protected String callSiteClassName;
	protected InstructionHandle invokeInstructionHandle;
	protected boolean isStaticInvoke;
	
	
	public boolean isStaticInvoke() {
		return isStaticInvoke;
	}

	public Method getCallSiteMethod() {
		return this.callSiteMethod;
	}

	public String getCallSiteClassName() {
		return this.callSiteClassName;
	}
	
	public InstructionHandle getInvokeInstructionHandle() {
		return invokeInstructionHandle;
	}

	public CallSite(String callSiteClassName, Method callSiteMethod, InstructionHandle invokeInstructionHandle) {
		this.callSiteMethod = callSiteMethod;
		this.callSiteClassName = callSiteClassName;
		this.invokeInstructionHandle = invokeInstructionHandle;
		
		this.isStaticInvoke = (invokeInstructionHandle.getInstruction() instanceof INVOKESTATIC) ? true : false;
	}
}
