package org.testapp;

import org.testapp.classes.ExampleInnerClass;

public class InnerClass {
	
	public class LocalInnerClass {	
		public int compute() {
			return 1;
		}
	}
	
	public static class LocalStaticInnerClass {	
		public static int staticCompute() {
			return 1;
		}
	}
	
	public void innerClassStatic() {
		
		LocalStaticInnerClass.staticCompute();
		
	}
	
	public int innerClass() {
		
		LocalInnerClass instance = new LocalInnerClass();
		
		return instance.compute();
		
	}
	
	public void remoteInnerClassStatic() {
		
		int result = ExampleInnerClass.RemoteStaticInnerClass.staticCompute();
		
	}
	
	public void remoteInnerClass() {
		
		ExampleInnerClass.RemoteInnerClass innerInstance;
		
		ExampleInnerClass instance = new ExampleInnerClass();
		
		innerInstance = instance.getInnerClassInstance();
		innerInstance.compute();
		
	}
	
}