package getOptLong;

public class BooleanOption extends Option {	
	public BooleanOption(String longOption, String shortOption, String description, BoolRun delegate) {
		super(longOption, shortOption, description);
		this.delegate = delegate;
	}
	
	BoolRun delegate;
	
	@Override
	public int parse(String[] argv, int counter) {
		try {
			if(!match(argv[counter])){
//			System.out.println("no match:\n"+"  "+this);
				return 0;
			} else {
				//parse
				delegate.run();
				return 1;
			}
		} catch (IgnoreOptionException e) {
			return 1;
		}
	}
	


}
