package com.tetaj.cfggenerators.jophelper;

public class Utility {

	/**
	 * Input "com.jopdesign.libgraph.demo.TestClass#method(I)V"
	 * Output "com.jopdesign.libgraph.demo.TestClass"
	 */
	public static String getFullClassName(String fqMethodName){
		
		return fqMethodName.substring(0,fqMethodName.indexOf('#'));
	}
	
	/**
	 * Input "com.jopdesign.libgraph.demo.TestClass#method(I)V"
	 * Output "method()"
	 */
	public static String getMethodName(String fqMethodName){
			
		return fqMethodName.substring(fqMethodName.indexOf('#')+1,fqMethodName.indexOf('('));
	}
	
	/**
	 * Input "com.jopdesign.libgraph.demo.TestClass#method(I)V"
	 * Output "(I)V"
	 */
	public static String getMethodSignature(String fqMethodName) {
		
		return fqMethodName.substring(fqMethodName.indexOf('('));	
	}
	
	/**
	 * Input "com.jopdesign.libgraph.demo.TestClass#method(I)V"
	 * Output "com.jopdesign.libgraph.demo"
	 */
	public static String getPackageName(String fqMethodName) {
		System.out.println("FQ: " + fqMethodName);
		return fqMethodName.substring(0, fqMethodName.lastIndexOf('.'));
	}
	
	/**
	 * Input "com.jopdesign.libgraph.demo.TestClass#method(I)V"
	 * Output "TestClass"
	 */
	public static String getClassName(String fqMethodName) {
		
		return fqMethodName.substring(fqMethodName.lastIndexOf('.') + 1, fqMethodName.indexOf('#'));
	}	
	
}
