package com.tetaj.ircfg;

public class Instruction {

	private int linenumber;
	private int opcode;
	private String mnemonic;
	private String operands;
	private boolean methodinvoke;
	private boolean nativecall;
	private int id;

	public Instruction(int opcode){
		this.opcode = opcode;
		this.methodinvoke = false;
		this.nativecall = false;
	}
	
	public Instruction(String mnemonic){
		this.mnemonic = mnemonic;
	}
	
	public void setLinenumber(int linenumber) {
		this.linenumber = linenumber;
	}

	public int getLinenumber() {
		return linenumber;
	}

	public void setOpcode(int opcode) {
		this.opcode = opcode;
	}

	public int getOpcode() {
		return opcode;
	}

	public void setOperands(String operands) {
		this.operands = operands;
	}

	public String getOperands() {
		return operands;
	}

	public void setMnemonic(String mnemonic) {
		this.mnemonic = mnemonic;
	}

	public String getMnemonic() {
		return mnemonic;
	}

	public void setMethodinvoke(boolean methodinvoke) {
		this.methodinvoke = methodinvoke;
	}

	public boolean isMethodinvoke() {
		return methodinvoke;
	}

	public void setNativeCall(boolean b) {
		this.nativecall = b;
	}

	public boolean isNativecall() {
		return nativecall;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}
}
