package tetasarts.tir.basicblocks.basicBlockTypes;

import java.util.Set;

import tetasarts.tir.basicblocks.IBasicBlockVistitor;
import tetasarts.tir.classinfo.AbstractClassNode;
import tetasarts.tir.methods.MethodInformation;
import tetasarts.uppaal.translation.analysis.CallSite;

public class SporadicInvokeBasicBlock extends MethodCallingBasicBlock{
	int event;
		
	public SporadicInvokeBasicBlock(CallSite callSite, int event) {
		super(callSite);
		this.event = event;
	}
	
	@Override
	public void accept(IBasicBlockVistitor v) {
		v.visitSporadicInvokeBasicBlock(this);
	}

	public int getEvent() {
		return event;
	}

	public void setEvent(int event) {
		this.event = event;
	}
}
