package tetasarts.tir.graphtest;

public class InformationVisitor extends AbstractInformationVisitor{
	InformationGraph graph;
	public InformationVisitor(InformationGraph g){
		graph = g;
	}
	
	@Override
	public void visitBasicInformation(BasicInformation i) {
		System.out.println(i);
		System.out.println(" - Succs: " + graph.getSuccs(i).size());
		System.out.println(" - Preds: " + graph.getPreds(i).size());
		super.visitBasicInformation(i);
	}

	@Override
	public void visitComplexInformation(ComplexInformation i) {
		System.out.println(i);
		System.out.println(" - Succs: " + graph.getSuccs(i).size());
		System.out.println(" - Preds: " + graph.getPreds(i).size());
		super.visitComplexInformation(i);
	}

}
