package tetasarts.uppaal;

public class LCMCalc {

	public static long iterations = 0;
	
	public static long computeLCM(long integers[]){
		if(integers.length==0) return 0;
		long buffer[] = new long[integers.length];
		
		for(int i=0;i<integers.length;i++){
			buffer[i] = integers[i];
		}
		
		while(!allEqual(buffer)){
			int minIndex = getMinIndex(buffer);
			buffer[minIndex] += integers[minIndex]; 
		}
		
		return buffer[0];
	}

	// Implement using suitable data structure
	private static int getMinIndex(long integers[]){
		int lastIndex = 0;
		
		for(int i=0;i<integers.length;i++){
			if(integers[i] < integers[lastIndex])
				lastIndex = i;
		}
		return lastIndex;
	}
	
	private static boolean allEqual(long integers[]){
		iterations++;
		boolean result = true;
		for(int i=0;i<integers.length;i++){
			if(integers[i] != integers[0]){
				result = false;
				break;
			}
		}
		return result;
	}
}
