package tetasarts.uppaal.declarations;

public class Channel implements Comparable<Channel>{
	boolean broadcast;
	String channelName;
	String originalName;
	String array = "";
	
//	public Channel(String name, String originalName){
//		this(name, originalName, false);
//	}
	
	public Channel(String name, String originalName, boolean broadcast){
		this(name,originalName, "", broadcast);
	}
	
	public Channel(String name, String originalName, String arrayType){
		this(name, originalName, arrayType, false);
	}
	public Channel(String name, String originalName, String arrayType, boolean broadcast){
		this.originalName = originalName;
		this.channelName = name;
		this.array = arrayType;
		this.broadcast = broadcast;
	}
	
//	public boolean isBroadcast() {
//		return broadcast;
//	}
//
//	public void setBroadcast(boolean broadcast) {
//		this.broadcast = broadcast;
//	}
//
	public String getIdentifier() {
		if (array == "")
			return channelName;
		else 
			return channelName + "[" + array + "]";
	}

//	public void setId(String id) {
//		this.id = id;
//	}
	
	public String toString(){
		String prefix = "";
		if (broadcast){
			prefix = "broadcast ";
		} 
		if (array == "")
			return prefix + "chan " + channelName + "; //" + originalName;
		else
			return prefix + "chan " + channelName + "[" + array + "]; //" + originalName;
	}

	@Override
	public int compareTo(Channel o) {
		return this.getIdentifier().compareTo(o.getIdentifier());
	}
}
