package tetasarts.uppaal.modelcombiner;

import java.util.LinkedList;
import java.util.List;

import uppaal.Declaration;
import uppaal.NTA;
import uppaal.SystemDeclaration;
public class Combiner {

	
	private List<NTA> ntaSystems;
	
	public Combiner(List<NTA> ntaSystems) {
		this.ntaSystems = ntaSystems;
	}
	
	public Combiner() {
		ntaSystems = new LinkedList<NTA>();
	}
	
	public void addNTA(NTA ntaModel) {
		this.ntaSystems.add(ntaModel);
	}

	public NTA combineNtaSystems() {
		if(ntaSystems == null)
			return null;
		
		NTA finalSystem = new NTA();
		for(NTA sys : ntaSystems) {
			Declaration decl = sys.getDeclarations();
			finalSystem.getDeclarations().add(decl);
			finalSystem.addAutomata(sys.getAutomata());
			finalSystem.getSystemDeclaration().addDeclarations(sys.getSystemDeclaration().getDeclarations());
			finalSystem.getSystemDeclaration().getSystemInstances().addAll(sys.getSystemDeclaration().getSystemInstances());	
			/*SystemDeclaration sysDecl = sys.getSystemDeclaration();
			
			boolean systemInstance = false;
			for(String declaration : sysDecl.getDeclarations()) {
				if(!declaration.startsWith("system") && systemInstance == false)
					finalSystem.getSystemDeclaration().addDeclaration(declaration);
				else
					systemInstance = true;
				
				if(systemInstance == true) {
					if(declaration.startsWith("system"))
						declaration = declaration.replace("system", "");
					declaration = declaration.replace(";", "");
					

					String[] splittedString = declaration.split(",");
					for(String sysDeclaration : splittedString) {
						sysDeclaration = sysDeclaration.trim();
						if(!sysDeclaration.equals(""))
							finalSystem.getSystemDeclaration().addSystemInstance(sysDeclaration);
					}

				}
			}*/
		}
		return finalSystem;
	}
	
}
