package tetasarts.uppaal.translation.analysis;

import soot.jimple.toolkits.callgraph.CHATransformer;
import soot.options.Options;
import tetasarts.tir.classinfo.ClassGraph;

public final class CHASootDevirtualizationAnalysis extends SootDevirtualizationAnalysis {

	public CHASootDevirtualizationAnalysis(String mainClass, String mainMethod,
			ClassGraph classGraph) {
		super(mainClass, mainMethod, classGraph);
		
	}

	@Override
	protected void setSootOptions() {
		//Options.v().set_verbose(true);
		Options.v().set_keep_offset(true);
		Options.v().set_whole_program(true);
	}

	@Override
	protected void initDevirtualizationAnalysis() {
		/*
		 * This takes a while :/
		 */
		CHATransformer.v().transform();
	}

	
}
