/**
 * 
 */
package blocking.system;

import javax.scj.PeriodicParameters;
import javax.scj.RealtimeSystem;

/**
 * @author Kasper S. Luckow <luckow@cs.aau.dk>
 *
 */
public class ProducerConsumerRTSystem {

	public static void main(String[] args) {
		SharedResource resource = new SharedResource(100);
		
		new Consumer(new PeriodicParameters(40), resource);
		new Producer(new PeriodicParameters(41), resource);
		
		RealtimeSystem.start();
		
	}
	
}
