package org.testapp;

public class ControlStructures {

	public int forLoop() {
		
		int j = 0;
		
		//@loopbound = 1337
		for (int i = 0; i <= 10; i++) {
			j++;
		}
		return j;
		
	}
	
	public int foreachLoop() {
		
		int[] integers = {1, 2, 3, 4, 5};
		int sum = 0;
		
		//@loopbound = 1337
		for (int i : integers) {
			sum += i;
		}
		
		return sum;
	}
	
	public void whileLoop() {
		
		int count = 0;
		
		//@loopbound = 1337	
		while (count < 10) {
			count++;
		}
		
	}
	
	public void doWhileLoop() {
		
		int count = 0;
		
		//@loopbound = 1	
		do {
			count++;
		}
		while (count < 10);
		
	}
	
	public void nestedLoop() {
		int b = 0;
		//@loopbound = 1
		while(b > 5) {
			
			//@loopbound = 1
			while(b < 3) {
			}
			
		}
		
	}
	
	public void switchStatement() {
		
		int key = 200;
		int result;
		
		switch (key) {
			case 50: 
				result = 50;
				break;
			case 200: 
				result = 200;
				break;
			case 300:
			case 500:
				result = 400;
				break;
			default:
				result = 0;
		}
		
	}
	
	public void ifStatement() {
		
		boolean condition = true;
		
		if (condition == false) {
			condition = true;
		}
		
		condition = false;
		
	}
	
	public void ifElseStatement() {
		
		boolean condition = false;
		
		if (condition == false) {
			condition = true;
		} else if (condition == true) {
			condition = false;
		} else {
			condition = true;
		}
		
	}
	
	public void whileContinueLoop() {
		int i = 0;
		
		//@loopbound = 1
		while (i != 1) {
			
			if (i == 0) {
				continue;
			}
			
			i = 1;
		}
	}
	
	/**
	 * Recursion is not supported!
	 */
	public boolean recursion() {
		
		boolean condition = true;
		
		if (condition) {
			return this.recursion();
		}
		
		return condition;
		
	}
	
	
}
