package com.tetaj.modelgenerator.annotationextractor.extractor;

import java.io.BufferedReader;
import java.io.IOException;
import java.util.LinkedList;

import com.tetaj.modelgenerator.annotationextractor.file.FileFinder;
import com.tetaj.modelgenerator.annotationextractor.parser.Annotation;
import com.tetaj.modelgenerator.annotationextractor.parser.Parser;

public class CStyleAnnotationExtractor implements IAnnotationExtractor {

	@Override
	public LinkedList<Annotation> retrieveAnnotations(String sourceFilePath, int lineNumber) throws IOException {
		FileFinder fileFinder = new FileFinder();
		Parser parser = new Parser();
		LinkedList<Annotation> annotationList = null;
		BufferedReader fileReader = null;
		
		//System.out.println("sourcepath for annotation: " + sourceFilePath);
		fileReader = fileFinder.find(sourceFilePath);

		annotationList = parser.GetAnnotations(fileReader, lineNumber);
		
		return annotationList;
	}

}
